Method: projects.locations.instances.startMigration

启动从源实例到目标 Memorystore 实例的迁移。

成功完成此操作后,目标实例将:1. 设置与源实例的复制,并将任何写入内容复制到源实例。2. 仅允许读取。

HTTP 请求

:


POST https://memorystore.googleapis.com/v1beta/{name=projects/*/locations/*/instances/*}:startMigration

网址使用 gRPC 转码语法。

路径参数

参数
name

string

必需。要开始迁移的实例的资源名称。格式:projects/{project}/locations/{location}/instances/{instance}

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "selfManagedSource": {
    object (SelfManagedSource)
  }
  // End of mutually exclusive fields.
}
字段
定义迁移的来源。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
selfManagedSource

object (SelfManagedSource)

必需。从自行管理的 Valkey/Redis 实例迁移的配置

互斥字段的结束。

响应正文

如果成功,则响应正文包含一个 Operation 实例。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write

IAM 权限

需要拥有 name 资源的以下 IAM 权限:

  • memorystore.instances.startMigration

如需了解详情,请参阅 IAM 文档。